From e47a4d94d0a2de1ef82ea8fc616ccab687e5016a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 28 2020 03:35:24 +0000
Subject: [PATCH 1831/2232] Rename Box value_type to element_type


This matches the member type naming on unique_ptr.
https://en.cppreference.com/w/cpp/memory/unique_ptr#Member_types
It appears value_type is for a member type of a container or iterator
while element_type is for the target of a smart pointer.

---

diff --git a/include/cxx.h b/include/cxx.h
index 95f9a06..b7deb71 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -222,7 +222,7 @@ private:
 template <typename T>
 class Box final {
 public:
-  using value_type = T;
+  using element_type = T;
   using const_pointer =
       typename std::add_pointer<typename std::add_const<T>::type>::type;
   using pointer = typename std::add_pointer<T>::type;
@@ -252,6 +252,9 @@ public:
 
   T *into_raw() noexcept;
 
+  // Deprecated.
+  using value_type = element_type;
+
 private:
   class uninit;
   class allocation;

